Bug 99618 - UNO command to launch Navigator in sidebar
Summary: UNO command to launch Navigator in sidebar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
: 99848 104298 105984 (view as bug list)
Depends on:
Blocks: UNO-Command-New Navigator
  Show dependency treegraph
 
Reported: 2016-05-02 00:33 UTC by Tim
Modified: 2017-08-14 16:34 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of two Navigator windows. (103.33 KB, image/png)
2016-05-02 00:33 UTC, Tim
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim 2016-05-02 00:33:20 UTC
Created attachment 124774 [details]
Screenshot of two Navigator windows.

When opening the Navigator in Writer using the menu or F5 shortcut it opens a floating / docked Navigator window. This is correct if the Sidebar is not also in use.

If the Sidebar is in use the menu / F5 opens an additional Navigator window and not the the Navigator deck included as part of the Sidebar. This can lead to having two Navigator windows open on a workspace.

Correct function should be to switch to the already open Navigator deck on the Sidebar instead of opening a new Navigator window. It also means that the F5 shortcut key does not close the Sidebar Navigator deck if it is open.

This is inconsistent with F11 which opens and closes the Styles and Formatting deck of the Sidebar.
Comment 1 V Stuart Foote 2016-05-02 04:00:01 UTC
By design.

As agreed while implementing bug 73151, until bug 89505 is implemented the Navigator dialog and the Navigator content panel deck of the sidebar will continue to display in their respective frames.  This allows work flows where both Navigator (F5) and Style & Formatting sidebar deck (F11) are used concurrently.

Functionally the two instances are the same code--but the two frames can be out of sync.

Implementing bug 89505 will allow the current "dialog" based Navigator to be removed for the sidebar deck content panel. Until then, it is a minor annoyance.
Comment 2 V Stuart Foote 2016-05-02 04:16:58 UTC
oops tranposed the 89505, that of course is dependency on bug 85905 - Allow undocking of Sidebar decks
Comment 3 Maxim Monastirsky 2016-05-15 06:22:22 UTC
*** Bug 99848 has been marked as a duplicate of this bug. ***
Comment 4 Shunesburg69 2016-10-28 19:38:07 UTC
It's not resolved.
It's very ugly and unexpected attitude for the software.
It will be a good thing to submit this bug to the "Community Week: Design".
An EasyHack will be good too.
Comment 5 Yousuf Philips (jay) (retired) 2016-10-28 19:58:24 UTC
I think F5 should be disconnected from the navigator window and assigned to a new UNO command for the navigator sidebar deck. As there are more users who dont utilize the navigator decked on the left and styles & formatting docked on the right UI layout, having F5 open up the navigator window isnt ideal for the majority of users.
Comment 6 V Stuart Foote 2016-10-28 20:19:26 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> I think F5 should be disconnected from the navigator window and assigned to
> a new UNO command for the navigator sidebar deck. As there are more users
> who dont utilize the navigator decked on the left and styles & formatting
> docked on the right UI layout, having F5 open up the navigator window isnt
> ideal for the majority of users.

So how then would one open the detached Navigator?

No the way to resolve this is to complete work on bug 85905, and at that point-- whether configured as docked or undocked--the F5 control should open the _single_ instance of the Navigator deck.

Until then, maintain the status quo--F5 to a non-Sidebar Navigator allowing Style & Formatting (F11)--as in comment 1

Should be closed as status quo is a work around dependent/duplicate of bug 85905, correct that and this issue resolves.
Comment 7 Yousuf Philips (jay) (retired) 2016-10-29 17:48:49 UTC
(In reply to V Stuart Foote from comment #6)
> So how then would one open the detached Navigator?

The current uno command for navigator (.uno:Navigator) would still be available in the view menu and moved to the section with data sources and renamed 'Navigator Window', while the new uno command i mentioned in comment 5 would takes its place in the menu and would open up the sidebar with F5.

> No the way to resolve this is to complete work on bug 85905, and at that
> point-- whether configured as docked or undocked--the F5 control should open
> the _single_ instance of the Navigator deck.

I dont see bug 85905 getting fixed and dont see any reasons to delay the assigning of the navigator deck with F5 to await for the fix.

> Should be closed as status quo is a work around dependent/duplicate of bug
> 85905, correct that and this issue resolves.

I dont find it as good UX for the navigator window to open up as a non-docked window with the shortcut, especially not in non-writer apps.
Comment 8 Cor Nouws 2016-10-29 18:11:28 UTC
(In reply to Yousuf Philips (jay) from comment #7)

> I dont find it as good UX for the navigator window to open up as a
> non-docked window with the shortcut, especially not in non-writer apps.

Don't we have an issue to let the Navigator open docked by default?
Comment 9 Cor Nouws 2016-10-29 18:12:28 UTC
and there was an issue discussing various short cuts, IIRC, also for the Navigator?
Comment 10 Yousuf Philips (jay) (retired) 2016-10-29 19:13:10 UTC
(In reply to Cor Nouws from comment #8)
> Don't we have an issue to let the Navigator open docked by default?

Found your suggestion that it be docked by default as part of bug 85851, but didnt find any others than that.

(In reply to Cor Nouws from comment #9)
> and there was an issue discussing various short cuts, IIRC, also for the
> Navigator?

Yes that is bug 84502, but those are to supplement the already used shortcuts.
Comment 11 V Stuart Foote 2016-10-29 19:43:11 UTC
Please see the discussion where this was initially _decided_

From about here onward in 73151
https://bugs.documentfoundation.org/show_bug.cgi?id=73151#c14

Until bug 85905 is implemented--users require an instance of Navigator and the Style & Formatting deck.

Suggestion of launching the Navigator with the F5 shortcut and assigning a new main menu View button action called "Navigator Window" is really questionable--the detached "dialog" _is_ the sidebar deck code just in a instance detached from the deck's container.

The correct way to fix this is implementing 85905

@Samuel?
Comment 12 Cor Nouws 2016-10-29 20:03:01 UTC
Thanks for finding those Jay,

(In reply to Yousuf Philips (jay) from comment #10)

> (In reply to Cor Nouws from comment #9)
> > and there was an issue discussing various short cuts, IIRC, also for the
> > Navigator?
> 
> Yes that is bug 84502, but those are to supplement the already used
> shortcuts.

Seems that idea in this issue to change behavior of F5, is conflicting with the idea in that issue, to use <Alt>+F5 for Side bar Navigator.
Comment 13 Shunesburg69 2016-10-29 20:53:52 UTC
The logic is all in the sidebar.
Then F5 for Sidebar and Alt+F5 for external Navigator.
Comment 14 Shunesburg69 2016-10-29 20:55:48 UTC
In the same line, add shortcut with "Alt+" for external tool bar.
Comment 15 Heiko Tietze 2016-10-30 08:15:17 UTC
(In reply to V Stuart Foote from comment #11)
> Until bug 85905 is implemented--users require an instance of Navigator and
> the Style & Formatting deck.
> ....
> The correct way to fix this is implementing 85905

More in general users expect (and requested in the survey) to detach _every_ tab from the sidebar into a floating window. 

https://design.blog.documentfoundation.org/2016/02/26/what-do-you-expect-from-the-sidebar-in-libreoffice/
https://design.blog.documentfoundation.org/2016/04/17/our-happy-hour-how-libreoffice-sidebar-tenders-properties-and-functions/
Comment 16 Shunesburg69 2016-10-30 15:15:42 UTC
It could be better to made like Gimp and add an option "Single-Window Mode" to integrate all in the Sidebar and when you uncheck it you would be in old "Detached-Widows Mode".
But the logical (and most expected) is to integrate all in the Sidebar, but nobody ask for that because is already the enable.
Comment 17 Cor Nouws 2016-10-30 19:16:13 UTC
(In reply to shunesburg69 from comment #16)

> But the logical (and most expected) is to integrate all in the Sidebar, but
> nobody ask for that because is already the enable.

It has been decided that the Navigator should be displayable apart from the Styles and Formatting window (in the Side Bar). People use both at the same time.
Comment 18 Yousuf Philips (jay) (retired) 2016-10-31 21:10:45 UTC
(In reply to V Stuart Foote from comment #11)
> The correct way to fix this is implementing 85905
> 
> @Samuel?

What Samuel said in bug 73151 comment 33: "Being able to pull out elements from the sidebar is a long-term goal. It will take some time to implement and is definitely too big for me. So we try to make the best out of the current situation."

I've added the issue to be discussed at this week's design meeting, along with having the navigator window docked by default (bug 81902), as Samuel closed it thinking that there wouldnt be a navigator window anymore.
Comment 19 Buovjaga 2016-12-02 19:32:45 UTC
*** Bug 104298 has been marked as a duplicate of this bug. ***
Comment 20 Buovjaga 2017-02-19 17:17:48 UTC
*** Bug 105984 has been marked as a duplicate of this bug. ***
Comment 21 Cor Nouws 2017-08-14 15:00:30 UTC
As far as I see we're missing consensus/consent to assign F5 to the Navigator in the side bar.

If.. then possiblefor the 'floating' Navigator:
  -  Ctrl+Shift+F5 - already for Go to Page Number
  -  Shift+F5 ..

Ideas?
Comment 22 V Stuart Foote 2017-08-14 16:34:12 UTC
Until bug 85905 allowing multiple Sidebar Decks is resolved I have not changed my position regards additional Navigator deck. 

The F5 shortcut controls the second detached (docked/floating) instance of the Navigator deck as its own dialog. The functionally limited Sidebar resident deck is _secondary_ because we still need to retain the preferred split F5 (Navigator) & F11 (Styles & Formatting) workflows.

However, using an alternate shortcut for the Sidebar resident Navigator deck would be fine for now until complete control can be provided for the UI.

<Alt>+F5 appears to be unassigned Keyboard customization in LO/Writer/Calc/Draw/Impres/Math; although Jay suggest the <Ctrl>+<Alt>+Fn combinations for Sidebar Tab shortcuts in bug 84502